import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class TwoFactorPromptText extends StatelessWidget {
  final String email;

  const TwoFactorPromptText({
    super.key,
    required this.email,
  });

  @override
  Widget build(BuildContext context) => Text(
    AppLocalizations.of(context)!.twoFactorPrompt(email),
    style: Theme.of(context).textTheme.bodyLarge,
    textAlign: TextAlign.center,
  );
}
